Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdo.jdbc
Class JDOConnectionFactory

    java.lang.Object
      org.apache.openjpa.lib.conf.ConfigurationImpl
          org.apache.openjpa.conf.OpenJPAConfigurationImpl
              org.apache.openjpa.jdbc.conf.JDBCConfigurationImpl
                  kodo.jdbc.conf.JDBCConsolidatedConfiguration
                      kodo.jdo.jdbc.JDOConnectionFactory

All Implemented Interfaces:
  BeanInfo, Externalizable, Serializable, Cloneable, PersistenceManagerFactory, Referenceable, ConnectionFactory, KodoConnectionFactory, KodoPersistenceManagerFactory, org.apache.openjpa.conf.OpenJPAConfiguration, org.apache.openjpa.jdbc.conf.JDBCConfiguration, org.apache.openjpa.kernel.ConnectionRetainModes, org.apache.openjpa.lib.conf.Configuration, org.apache.openjpa.lib.conf.ValueListener, org.apache.openjpa.lib.util.Closeable

    public class JDOConnectionFactory

extends JDBCConsolidatedConfiguration
implements KodoPersistenceManagerFactory, KodoConnectionFactory

JCA ConnectionFactory for obtaining JDO PersistenceManagers.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.openjpa.jdbc.conf.JDBCConfigurationImpl
`connectionDecoratorPlugins, dbdictionaryPlugin, driverDataSourcePlugin, eagerFetchMode, fetchDirection, jdbcListenerPlugins, lrsSize, mappingDefaultsPlugin, mappingFactoryPlugin, resultSetType, schema, schemaFactoryPlugin, schemas, sqlFactoryPlugin, subclassFetchMode, synchronizeMappings, transactionIsolation, updateManagerPlugin`

Fields inherited from class org.apache.openjpa.conf.OpenJPAConfigurationImpl
`aggregateListenerPlugins, autoClear, autoDetach, brokerFactoryPlugin, brokerPlugin, classResolverPlugin, compatibilityPlugin, connection2DriverName, connection2Password, connection2Properties, connection2URL, connection2UserName, connectionDriverName, connectionFactory, connectionFactory2, connectionFactory2Name, connectionFactory2Properties, connectionFactoryMode, connectionFactoryName, connectionFactoryProperties, connectionPassword, connectionProperties, connectionRetainMode, connectionURL, connectionUserName, dataCacheManagerPlugin, dataCachePlugin, dataCacheTimeout, detachStatePlugin, dynamicDataStructs, fetchBatchSize, fetchGroups, filterListenerPlugins, flushBeforeQueries, ignoreChanges, inverseManagerPlugin, lockManagerPlugin, lockTimeout, managedRuntimePlugin, mapping, maxFetchDepth, metaFactoryPlugin, metaRepository, metaRepositoryPlugin, multithreaded, nontransactionalRead, nontransactionalWrite, optimistic, orphanedKeyPlugin, proxyManagerPlugin, queryCachePlugin, readLockLevel, remoteEventManager, remoteProviderPlugin, restoreState, retainState, retryClassRegistration, savepointManagerPlugin, seqPlugin, transactionMode, writeLockLevel`

Fields inherited from class org.apache.openjpa.lib.conf.ConfigurationImpl
`logFactoryPlugin`

Fields inherited from interface org.apache.openjpa.kernel.ConnectionRetainModes
`CONN_RETAIN_ALWAYS, CONN_RETAIN_DEMAND, CONN_RETAIN_TRANS`

Fields inherited from interface org.apache.openjpa.conf.OpenJPAConfiguration
`LOG_DATACACHE, LOG_ENHANCE, LOG_METADATA, LOG_QUERY, LOG_RUNTIME, LOG_TOOL, OPTION_DATASTORE_CONNECTION, OPTION_EMBEDDED_COLLECTION_RELATION, OPTION_EMBEDDED_MAP_RELATION, OPTION_EMBEDDED_RELATION, OPTION_ID_APPLICATION, OPTION_ID_DATASTORE, OPTION_INC_FLUSH, OPTION_JDBC_CONNECTION, OPTION_NONTRANS_READ, OPTION_NULL_CONTAINER, OPTION_OPTIMISTIC, OPTION_QUERY_SQL, OPTION_TYPE_ARRAY, OPTION_TYPE_COLLECTION, OPTION_TYPE_MAP, OPTION_VALUE_AUTOASSIGN, OPTION_VALUE_INCREMENT`

Fields inherited from interface org.apache.openjpa.lib.conf.Configuration
`ATTRIBUTE_ALLOWED_VALUES, ATTRIBUTE_CATEGORY, ATTRIBUTE_INTERFACE, ATTRIBUTE_ORDER, ATTRIBUTE_TYPE, ATTRIBUTE_XML`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Fields inherited from interface org.apache.openjpa.jdbc.conf.JDBCConfiguration
`LOG_JDBC, LOG_SCHEMA, LOG_SQL`

Constructor Summary
`JDOConnectionFactory()`
`JDOConnectionFactory(ManagedConnectionFactory mcf, ConnectionManager cm)`
`JDOConnectionFactory(Properties props)`

Method Summary
`void` | `addInstanceLifecycleListener(InstanceLifecycleListener listener, Class[] classes)`
`void` | `addTransferListener(RemoteTransferListener listener)` This method only available on client factories.
`void` | `close()`
`org.apache.openjpa.conf.OpenJPAConfiguration` | `getConfiguration()` Return the configuration for this factory.
`Connection` | `getConnection()`
`Connection` | `getConnection(ConnectionSpec spec)`
`DataStoreCache` | `getDataStoreCache()`
`KodoDataStoreCache` | `getDataStoreCache(String cacheName)` Return a JDO facade to the given named Kodo cache.
`boolean` | `getDetachAllOnCommit()`
`boolean` | `getIgnoreCache()`
`ResourceAdapterMetaData` | `getMetaData()`
`PersistenceManager` | `getPersistenceManager()`
`KodoPersistenceManager` | `getPersistenceManager(boolean managed, int connRetainMode)` Return a persistence manager in the given transaction and connection retain mode.
`PersistenceManager` | `getPersistenceManager(String user, String pass)`
`KodoPersistenceManager` | `getPersistenceManager(String user, String pass, boolean managed, int connRetainMode)` Return a persistence manager in the given transaction and connection retain mode.
`static PersistenceManagerFactory` | `getPersistenceManagerFactory(Map map)`
`static PersistenceManagerFactory` | `getPersistenceManagerFactory(Properties props)` Allows the `JDOHelper.getPersistenceManagerFactory(java.util.Map)` method to instantiate an instance of this class as a factory.
`Properties` | `getProperties()`
`QueryResultCache` | `getQueryResultCache()` Return a view of the query result cache.
`RecordFactory` | `getRecordFactory()`
`Reference` | `getReference()`
`boolean` | `getRestoreValues()`
`boolean` | `getRetainValues()`
`Object` | `getUserObject(Object key)` User object association.
`boolean` | `isClosed()`
`boolean` | `isPersistenceServerRunning()` Return true if a persistence server is running.
`boolean` | `joinPersistenceServer()` Join the thread running the persistence server for this factory.
`Object` | `putUserObject(Object key, Object val)` User object association.
`void` | `removeInstanceLifecycleListener(InstanceLifecycleListener listener)`
`void` | `removeTransferListener(RemoteTransferListener listener)` This method only available on client factories.
`void` | `setDetachAllOnCommit(boolean detach)`
`void` | `setIgnoreCache(boolean val)`
`void` | `setReference(Reference ref)`
`void` | `setRestoreValues(boolean val)`
`void` | `setRetainValues(boolean val)`
`boolean` | `startPersistenceServer()` Start the persistence server.
`boolean` | `stopPersistenceServer()` Stop the persistence server.

Methods inherited from class kodo.jdbc.conf.JDBCConsolidatedConfiguration
`getLicenseKey, getManagementConfiguration, getPersistenceServer, getQueryCompilationCache, setLicenseKey, setManagementConfiguration, setPersistenceServer, setQueryCompilationCache`

Methods inherited from class org.apache.openjpa.jdbc.conf.JDBCConfigurationImpl
`getConnectionDecoratorInstances, getConnectionDecorators, getConnectionFactory, getConnectionFactory2, getDataSource, getDataSource2, getDBDictionary, getDBDictionaryInstance, getDriverDataSource, getEagerFetchMode, getEagerFetchModeConstant, getFetchDirection, getFetchDirectionConstant, getJDBCListenerInstances, getJDBCListeners, getLRSSize, getLRSSizeConstant, getMappingDefaults, getMappingDefaultsInstance, getMappingFactory, getMappingRepositoryInstance, getResultSetType, getResultSetTypeConstant, getSchema, getSchemaFactory, getSchemaFactoryInstance, getSchemas, getSchemasList, getSQLFactory, getSQLFactoryInstance, getSubclassFetchMode, getSubclassFetchModeConstant, getSynchronizeMappings, getTransactionIsolation, getTransactionIsolationConstant, getUpdateManager, getUpdateManagerInstance, isInvalidProperty, newBrokerInstance, newDriverDataSourceInstance, newMappingRepositoryInstance, newMetaDataFactoryInstance, setConnectionDecorators, setConnectionDecorators, setConnectionFactory, setConnectionFactory2, setDBDictionary, setDBDictionary, setDriverDataSource, setEagerFetchMode, setEagerFetchMode, setFetchDirection, setFetchDirection, setJDBCListeners, setJDBCListeners, setLRSSize, setLRSSize, setMappingDefaults, setMappingDefaults, setMappingFactory, setResultSetType, setResultSetType, setSchema, setSchemaFactory, setSchemaFactory, setSchemas, setSchemas, setSQLFactory, setSQLFactory, setSubclassFetchMode, setSubclassFetchMode, setSynchronizeMappings, setTransactionIsolation, setTransactionIsolation, setUpdateManager, setUpdateManager`

Methods inherited from class org.apache.openjpa.conf.OpenJPAConfigurationImpl
`getAggregateListenerInstances, getAggregateListeners, getAutoClear, getAutoClearConstant, getAutoDetach, getAutoDetachConstant, getBrokerFactory, getBrokerImpl, getClassResolver, getClassResolverInstance, getCompatibility, getCompatibilityInstance, getConfigurationLog, getConnection2DriverName, getConnection2Password, getConnection2Properties, getConnection2URL, getConnection2UserName, getConnectionDriverName, getConnectionFactory2Name, getConnectionFactory2Properties, getConnectionFactoryMode, getConnectionFactoryName, getConnectionFactoryProperties, getConnectionPassword, getConnectionProperties, getConnectionRetainMode, getConnectionRetainModeConstant, getConnectionURL, getConnectionUserName, getDataCache, getDataCacheManager, getDataCacheManagerInstance, getDataCacheTimeout, getDetachState, getDetachStateInstance, getDynamicDataStructs, getFetchBatchSize, getFetchGroups, getFetchGroupsList, getFilterListenerInstances, getFilterListeners, getFlushBeforeQueries, getFlushBeforeQueriesConstant, getIgnoreChanges, getInverseManager, getLockManager, getLockTimeout, getManagedRuntime, getManagedRuntimeInstance, getMapping, getMaxFetchDepth, getMetaDataFactory, getMetaDataRepository, getMetaDataRepositoryInstance, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getOrphanedKeyAction, getOrphanedKeyActionInstance, getProxyManager, getProxyManagerInstance, getQueryCache, getReadLockLevel, getReadLockLevelConstant, getRemoteCommitEventManager, getRemoteCommitProvider, getRestoreState, getRestoreStateConstant, getRetainState, getRetryClassRegistration, getSavepointManager, getSavepointManagerInstance, getSequence, getSequenceInstance, getSpecification, getStoreFacadeTypeRegistry, getTransactionMode, getWriteLockLevel, getWriteLockLevelConstant, instantiateAll, isConnectionFactoryModeManaged, isTransactionModeManaged, newInverseManagerInstance, newLockManagerInstance, newMetaDataRepositoryInstance, newRemoteCommitProviderInstance, setAggregateListeners, setAggregateListeners, setAutoClear, setAutoClear, setAutoDetach, setAutoDetach, setBrokerFactory, setBrokerImpl, setClassResolver, setClassResolver, setCompatibility, setConnection2DriverName, setConnection2Password, setConnection2Properties, setConnection2URL, setConnection2UserName, setConnectionDriverName, setConnectionFactory2Name, setConnectionFactory2Properties, setConnectionFactoryMode, setConnectionFactoryModeManaged, setConnectionFactoryName, setConnectionFactoryProperties, setConnectionPassword, setConnectionProperties, setConnectionRetainMode, setConnectionRetainMode, setConnectionURL, setConnectionUserName, setDataCache, setDataCacheManager, setDataCacheManager, setDataCacheTimeout, setDataCacheTimeout, setDetachState, setDetachState, setDynamicDataStructs, setDynamicDataStructs, setFetchBatchSize, setFetchBatchSize, setFetchGroups, setFetchGroups, setFilterListeners, setFilterListeners, setFlushBeforeQueries, setFlushBeforeQueries, setIgnoreChanges, setIgnoreChanges, setInverseManager, setLockManager, setLockTimeout, setLockTimeout, setManagedRuntime, setManagedRuntime, setMapping, setMaxFetchDepth, setMaxFetchDepth, setMetaDataFactory, setMetaDataRepository, setMetaDataRepository, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setOrphanedKeyAction, setOrphanedKeyAction, setProxyManager, setProxyManager, setQueryCache, setReadLockLevel, setReadLockLevel, setRemoteCommitEventManager, setRemoteCommitProvider, setRestoreState, setRestoreState, setRetainState, setRetainState, setRetryClassRegistration, setRetryClassRegistration, setSavepointManager, setSequence, setSequence, setSpecification, setTransactionMode, setTransactionModeManaged, setWriteLockLevel, setWriteLockLevel, supportedOptions`

Methods inherited from class org.apache.openjpa.lib.conf.ConfigurationImpl
`addBoolean, addDouble, addFile, addInt, addObject, addPlugin, addPluginList, addPropertyChangeListener, addString, addStringList, addValue, assertNotReadOnly, clone, equals, fromProperties, getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getLog, getLog, getLogFactory, getMethodDescriptors, getProductName, getPropertiesResource, getPropertyDescriptors, getValue, getValues, hashCode, isReadOnly, loadGlobals, readExternal, removePropertyChangeListener, removeValue, setLog, setLogFactory, setProductName, setProperties, setPropertiesFile, setReadOnly, toProperties, toXMLName, valueChanged, writeExternal`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kodo.jdo.KodoPersistenceManagerFactory
`getConnectionPassword`

Methods inherited from interface javax.jdo.PersistenceManagerFactory
`getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionURL, getConnectionUserName, getMapping, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionPassword, setConnectionURL, setConnectionUserName, setMapping, setMultithreaded, setNontransactionalRead, setNontransactionalWrite, setOptimistic, supportedOptions`

Methods inherited from interface org.apache.openjpa.conf.OpenJPAConfiguration
`getAggregateListenerInstances, getAggregateListeners, getAutoClear, getAutoClearConstant, getAutoDetach, getAutoDetachConstant, getBrokerFactory, getBrokerImpl, getClassResolver, getClassResolverInstance, getCompatibility, getCompatibilityInstance, getConnection2DriverName, getConnection2Password, getConnection2Properties, getConnection2URL, getConnection2UserName, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactory2Properties, getConnectionFactoryMode, getConnectionFactoryName, getConnectionFactoryProperties, getConnectionPassword, getConnectionProperties, getConnectionRetainMode, getConnectionRetainModeConstant, getConnectionURL, getConnectionUserName, getDataCache, getDataCacheManager, getDataCacheManagerInstance, getDataCacheTimeout, getDetachStateInstance, getDynamicDataStructs, getFetchBatchSize, getFetchGroups, getFetchGroupsList, getFilterListenerInstances, getFilterListeners, getFlushBeforeQueries, getFlushBeforeQueriesConstant, getIgnoreChanges, getInverseManager, getLockManager, getLockTimeout, getManagedRuntime, getManagedRuntimeInstance, getMapping, getMaxFetchDepth, getMetaDataFactory, getMetaDataRepository, getMetaDataRepositoryInstance, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getOrphanedKeyAction, getOrphanedKeyActionInstance, getProxyManager, getProxyManagerInstance, getQueryCache, getReadLockLevel, getReadLockLevelConstant, getRemoteCommitEventManager, getRemoteCommitProvider, getRestoreState, getRestoreStateConstant, getRetainState, getRetryClassRegistration, getSavepointManager, getSavepointManagerInstance, getSequence, getSequenceInstance, getSpecification, getStoreFacadeTypeRegistry, getTransactionMode, getWriteLockLevel, getWriteLockLevelConstant, isConnectionFactoryModeManaged, isTransactionModeManaged, newBrokerInstance, newInverseManagerInstance, newLockManagerInstance, newMetaDataFactoryInstance, newMetaDataRepositoryInstance, newRemoteCommitProviderInstance, setAggregateListeners, setAggregateListeners, setAutoClear, setAutoClear, setAutoDetach, setAutoDetach, setBrokerFactory, setBrokerImpl, setClassResolver, setClassResolver, setCompatibility, setConnection2DriverName, setConnection2Password, setConnection2Properties, setConnection2URL, setConnection2UserName, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactory2Properties, setConnectionFactoryMode, setConnectionFactoryModeManaged, setConnectionFactoryName, setConnectionFactoryProperties, setConnectionPassword, setConnectionProperties, setConnectionRetainMode, setConnectionRetainMode, setConnectionURL, setConnectionUserName, setDataCache, setDataCacheManager, setDataCacheManager, setDataCacheTimeout, setDataCacheTimeout, setDetachState, setDetachState, setDynamicDataStructs, setDynamicDataStructs, setFetchBatchSize, setFetchBatchSize, setFetchGroups, setFetchGroups, setFilterListeners, setFilterListeners, setFlushBeforeQueries, setFlushBeforeQueries, setIgnoreChanges, setIgnoreChanges, setInverseManager, setLockManager, setLockTimeout, setLockTimeout, setManagedRuntime, setManagedRuntime, setMapping, setMaxFetchDepth, setMaxFetchDepth, setMetaDataFactory, setMetaDataRepository, setMetaDataRepository, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setOrphanedKeyAction, setOrphanedKeyAction, setProxyManager, setProxyManager, setQueryCache, setReadLockLevel, setReadLockLevel, setRemoteCommitEventManager, setRemoteCommitProvider, setRestoreState, setRestoreState, setRetainState, setRetainState, setRetryClassRegistration, setRetryClassRegistration, setSavepointManager, setSequence, setSequence, setSpecification, setTransactionMode, setTransactionModeManaged, setWriteLockLevel, setWriteLockLevel, supportedOptions`

Methods inherited from interface org.apache.openjpa.lib.conf.Configuration
`addPropertyChangeListener, addValue, clone, fromProperties, getConfigurationLog, getLog, getLog, getLogFactory, getProductName, getValue, getValues, instantiateAll, isReadOnly, removePropertyChangeListener, removeValue, setLog, setLogFactory, setProductName, setReadOnly, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Constructor Detail

### JDOConnectionFactory

    public JDOConnectionFactory()

### JDOConnectionFactory

    public JDOConnectionFactory(Properties props)

### JDOConnectionFactory

    public JDOConnectionFactory(ManagedConnectionFactory mcf,
                                ConnectionManager cm)

Method Detail

### getPersistenceManagerFactory

    public static PersistenceManagerFactory getPersistenceManagerFactory(Properties props)

  Allows the `JDOHelper.getPersistenceManagerFactory(java.util.Map)` method to instantiate an instance of this class as a factory.

### getPersistenceManagerFactory

    public static PersistenceManagerFactory getPersistenceManagerFactory(Map map)

### getRecordFactory

    public RecordFactory getRecordFactory()
                                   throws NotSupportedException

  Specified by:
    `getRecordFactory` in interface `ConnectionFactory`
  Throws:
    `NotSupportedException`

### getMetaData

    public ResourceAdapterMetaData getMetaData()

  Specified by:
    `getMetaData` in interface `ConnectionFactory`

### getConnection

    public Connection getConnection()
                             throws ResourceException

  Specified by:
    `getConnection` in interface `ConnectionFactory`
  Throws:
    `ResourceException`

### getConnection

    public Connection getConnection(ConnectionSpec spec)
                             throws ResourceException

  Specified by:
    `getConnection` in interface `ConnectionFactory`
  Throws:
    `ResourceException`

### setReference

    public void setReference(Reference ref)

### getReference

    public Reference getReference()

  Specified by:
    `getReference` in interface `Referenceable`

### getConfiguration

    public org.apache.openjpa.conf.OpenJPAConfiguration getConfiguration()

  Description copied from interface: `KodoPersistenceManagerFactory`
  Return the configuration for this factory.

  Specified by:
    `getConfiguration` in interface `KodoPersistenceManagerFactory`

### getProperties

    public Properties getProperties()

  Specified by:
    `getProperties` in interface `PersistenceManagerFactory`

### getUserObject

    public Object getUserObject(Object key)

  Description copied from interface: `KodoPersistenceManagerFactory`
  User object association.

  Specified by:
    `getUserObject` in interface `KodoPersistenceManagerFactory`

### putUserObject

    public Object putUserObject(Object key,
                                Object val)

  Description copied from interface: `KodoPersistenceManagerFactory`
  User object association.

  Specified by:
    `putUserObject` in interface `KodoPersistenceManagerFactory`

### getDataStoreCache

    public DataStoreCache getDataStoreCache()

  Specified by:
    `getDataStoreCache` in interface `PersistenceManagerFactory`

### getDataStoreCache

    public KodoDataStoreCache getDataStoreCache(String cacheName)

  Description copied from interface: `KodoPersistenceManagerFactory`
  Return a JDO facade to the given named Kodo cache. This is more efficient than interacting with the standard cache facade, which must delegate to all named caches.

  Specified by:
    `getDataStoreCache` in interface `KodoPersistenceManagerFactory`

### getQueryResultCache

    public QueryResultCache getQueryResultCache()

  Description copied from interface: `KodoPersistenceManagerFactory`
  Return a view of the query result cache.

  Specified by:
    `getQueryResultCache` in interface `KodoPersistenceManagerFactory`

### getPersistenceManager

    public PersistenceManager getPersistenceManager()

  Specified by:
    `getPersistenceManager` in interface `PersistenceManagerFactory`

### getPersistenceManager

    public PersistenceManager getPersistenceManager(String user,
                                                    String pass)

  Specified by:
    `getPersistenceManager` in interface `PersistenceManagerFactory`

### getPersistenceManager

    public KodoPersistenceManager getPersistenceManager(boolean managed,
                                                        int connRetainMode)

  Description copied from interface: `KodoPersistenceManagerFactory`
  Return a persistence manager in the given transaction and connection retain mode.

  Specified by:
    `getPersistenceManager` in interface `KodoPersistenceManagerFactory`
  See Also:
    `ConnectionRetainModes`

### getPersistenceManager

    public KodoPersistenceManager getPersistenceManager(String user,
                                                        String pass,
                                                        boolean managed,
                                                        int connRetainMode)

  Description copied from interface: `KodoPersistenceManagerFactory`
  Return a persistence manager in the given transaction and connection retain mode.

  Specified by:
    `getPersistenceManager` in interface `KodoPersistenceManagerFactory`
  See Also:
    `ConnectionRetainModes`

### startPersistenceServer

    public boolean startPersistenceServer()

  Description copied from interface: `KodoPersistenceManagerFactory`
  Start the persistence server. This typically happens automatically when a factory with a configured server is obtained.

  Specified by:
    `startPersistenceServer` in interface `KodoPersistenceManagerFactory`
  Returns:
    false if there is no server configured, true otherwise

### joinPersistenceServer

    public boolean joinPersistenceServer()

  Description copied from interface: `KodoPersistenceManagerFactory`
  Join the thread running the persistence server for this factory.

  Specified by:
    `joinPersistenceServer` in interface `KodoPersistenceManagerFactory`
  Returns:
    false if no server is running, true otherwise

### stopPersistenceServer

    public boolean stopPersistenceServer()

  Description copied from interface: `KodoPersistenceManagerFactory`
  Stop the persistence server.

  Specified by:
    `stopPersistenceServer` in interface `KodoPersistenceManagerFactory`
  Returns:
    false if the server was not running, true otherwise

### isPersistenceServerRunning

    public boolean isPersistenceServerRunning()

  Description copied from interface: `KodoPersistenceManagerFactory`
  Return true if a persistence server is running.

  Specified by:
    `isPersistenceServerRunning` in interface `KodoPersistenceManagerFactory`

### addInstanceLifecycleListener

    public void addInstanceLifecycleListener(InstanceLifecycleListener listener,
                                             Class[] classes)

  Specified by:
    `addInstanceLifecycleListener` in interface `PersistenceManagerFactory`

### removeInstanceLifecycleListener

    public void removeInstanceLifecycleListener(InstanceLifecycleListener listener)

  Specified by:
    `removeInstanceLifecycleListener` in interface `PersistenceManagerFactory`

### addTransferListener

    public void addTransferListener(RemoteTransferListener listener)

  Description copied from interface: `KodoPersistenceManagerFactory`
  This method only available on client factories. Register a listener that will be called as the PM uploads objects to the server during flush operations and when objects are downloaded from the server as part of queries or loads.

  Specified by:
    `addTransferListener` in interface `KodoPersistenceManagerFactory`

### removeTransferListener

    public void removeTransferListener(RemoteTransferListener listener)

  Description copied from interface: `KodoPersistenceManagerFactory`
  This method only available on client factories. Deregisters a previously registered listener.

  Specified by:
    `removeTransferListener` in interface `KodoPersistenceManagerFactory`

### close

    public void close()

  Specified by:
    `close` in interface `PersistenceManagerFactory`
  Specified by:
    `close` in interface `org.apache.openjpa.lib.conf.Configuration`
  Specified by:
    `close` in interface `org.apache.openjpa.lib.util.Closeable`
  Overrides:
    `close` in class `org.apache.openjpa.jdbc.conf.JDBCConfigurationImpl`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `PersistenceManagerFactory`

### getRetainValues

    public boolean getRetainValues()

  Specified by:
    `getRetainValues` in interface `PersistenceManagerFactory`

### setRetainValues

    public void setRetainValues(boolean val)

  Specified by:
    `setRetainValues` in interface `PersistenceManagerFactory`

### getRestoreValues

    public boolean getRestoreValues()

  Specified by:
    `getRestoreValues` in interface `PersistenceManagerFactory`

### setRestoreValues

    public void setRestoreValues(boolean val)

  Specified by:
    `setRestoreValues` in interface `PersistenceManagerFactory`

### getIgnoreCache

    public boolean getIgnoreCache()

  Specified by:
    `getIgnoreCache` in interface `PersistenceManagerFactory`

### setIgnoreCache

    public void setIgnoreCache(boolean val)

  Specified by:
    `setIgnoreCache` in interface `PersistenceManagerFactory`

### getDetachAllOnCommit

    public boolean getDetachAllOnCommit()

  Specified by:
    `getDetachAllOnCommit` in interface `PersistenceManagerFactory`

### setDetachAllOnCommit

    public void setDetachAllOnCommit(boolean detach)

  Specified by:
    `setDetachAllOnCommit` in interface `PersistenceManagerFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.